Bug 236336 - [exp-run] update x11-fonts/mkfontscale and remove x11-fonts/mkfontsdir
Summary: [exp-run] update x11-fonts/mkfontscale and remove x11-fonts/mkfontsdir
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks: 236331
  Show dependency treegraph
 
Reported: 2019-03-06 19:55 UTC by Niclas Zeising
Modified: 2019-03-11 21:27 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+
zeising: exp-run?


Attachments
update mkfontscale and remove mkfontdir (101.24 KB, patch)
2019-03-06 19:55 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising freebsd_committer 2019-03-06 19:55:40 UTC
Created attachment 202661 [details]
update mkfontscale and remove mkfontdir

mkfontsdir has been merged into mkfontscale.  Since this touches a lot of ports, and a lot of dependencies, I'd like to request an exp run to ensure I haven't missed anything.
Attached patch updates mkfontscale to 1.2.0 and removes mkfontsdir.  It then updates infrastructure and bumps portrevisions.
Comment 1 Niclas Zeising freebsd_committer 2019-03-06 19:57:49 UTC
USES=fonts still takes fcfontsdir and fontsdir as arguments.  I see no reason to change this, even though fontsdir is part of mkfontscale.
Comment 3 Niclas Zeising freebsd_committer 2019-03-10 21:08:40 UTC
(In reply to Antoine Brodin from comment #2)

Fixed in development repo.  It was a typo in the BUILD_DEPENDS line.
Comment 4 commit-hook freebsd_committer 2019-03-11 21:26:39 UTC
A commit references this bug:

Author: zeising
Date: Mon Mar 11 21:26:16 UTC 2019
New revision: 495395
URL: https://svnweb.freebsd.org/changeset/ports/495395

Log:
  x11-fonts/mkfontscale: Update to 1.2.0

  Update x11-fonts/mkfontscale to 1.2.0
  Remove x11-fonts/mkfontdir, which has been merged into mkfontscale.
  Update dependencies and bump portrevisions.
  Add an entry to UPDATING and MOVES

  Changelog:
  https://lists.x.org/archives/xorg/2019-March/059633.html

  Thanks to Antoine for the exp-run!

  PR:		236336 (exp-run)
  Obtained from:	FreeBSD Graphics Team dev repo
  		https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/mkfontscale
  Sponsored by:	B3 Init

Changes:
  head/MOVED
  head/Mk/Uses/fonts.mk
  head/Mk/bsd.xorg.mk
  head/UPDATING
  head/arabic/ae_fonts_mono/Makefile
  head/arabic/ae_fonts_ttf/Makefile
  head/arabic/kacst_fonts/Makefile
  head/chinese/CJKUnifonts/Makefile
  head/chinese/CNS11643-font/Makefile
  head/chinese/arphicttf/Makefile
  head/chinese/fandol/Makefile
  head/chinese/fireflyttf/Makefile
  head/chinese/kcfonts/Makefile
  head/chinese/moettf/Makefile
  head/chinese/opendesktop-fonts/Makefile
  head/chinese/sourcehanserif-sc-otf/Makefile
  head/chinese/sourcehanserif-tc-otf/Makefile
  head/deskutils/conkyforecast/Makefile
  head/emulators/pcemu/Makefile
  head/emulators/stonx/Makefile
  head/emulators/vice/Makefile
  head/games/xjewel/Makefile
  head/hebrew/culmus/Makefile
  head/hebrew/elmar-fonts/Makefile
  head/japanese/alias-fonts/Makefile
  head/japanese/font-ayu18/Makefile
  head/japanese/font-ayu20/Makefile
  head/japanese/font-elisa10/Makefile
  head/japanese/font-elisa8/Makefile
  head/japanese/font-jisx0213/Makefile
  head/japanese/font-kaname12/Makefile
  head/japanese/font-kanji18/Makefile
  head/japanese/font-kappa20/Makefile
  head/japanese/font-mona/Makefile
  head/japanese/font-mplus-bitmap/Makefile
  head/japanese/font-mplus-outline/Makefile
  head/japanese/font-naga10/Makefile
  head/japanese/font-shinonome/Makefile
  head/japanese/kterm/Makefile
  head/japanese/sourcehanserif-otf/Makefile
  head/korean/aleefonts-ttf/Makefile
  head/korean/baekmukfonts-bdf/Makefile
  head/korean/baekmukfonts-ttf/Makefile
  head/korean/d2coding-ttf/Makefile
  head/korean/hanyangfonts/Makefile
  head/korean/kaistfonts/Makefile
  head/korean/nanumcoding-ttf/Makefile
  head/korean/nanumfonts-otf/Makefile
  head/korean/sourcehanserif-otf/Makefile
  head/korean/unfonts-core/Makefile
  head/korean/unfonts-extra/Makefile
  head/mail/metamail/Makefile
  head/print/adobe-cmaps/Makefile
  head/print/font-amsfonts/Makefile
  head/russian/artwiz-ru/Makefile
  head/ukrainian/monacofonts/Makefile
  head/vietnamese/unicode-uhoai/Makefile
  head/vietnamese/urwvn/Makefile
  head/vietnamese/vietunicode-hannom/Makefile
  head/vietnamese/vietunicode-trichlor/Makefile
  head/vietnamese/vietunicode-web1/Makefile
  head/www/alef-webfont/Makefile
  head/x11/cde/Makefile
  head/x11/x3270/Makefile
  head/x11/xorg-apps/Makefile
  head/x11-fonts/3270font/Makefile
  head/x11-fonts/Hasklig/Makefile
  head/x11-fonts/Makefile
  head/x11-fonts/alef/Makefile
  head/x11-fonts/alegreya/Makefile
  head/x11-fonts/alegreya-sans/Makefile
  head/x11-fonts/andika/Makefile
  head/x11-fonts/anonymous-pro/Makefile
  head/x11-fonts/artwiz-aleczapka/Makefile
  head/x11-fonts/artwiz-aleczapka-de/Makefile
  head/x11-fonts/artwiz-aleczapka-se/Makefile
  head/x11-fonts/artwiz-fonts/Makefile
  head/x11-fonts/averiagwf/Makefile
  head/x11-fonts/b612/Makefile
  head/x11-fonts/bitstream-vera/Makefile
  head/x11-fonts/bitter/Makefile
  head/x11-fonts/cantarell-fonts/Makefile
  head/x11-fonts/charis/Makefile
  head/x11-fonts/charis-compact/Makefile
  head/x11-fonts/clearsans/Makefile
  head/x11-fonts/code2000/Makefile
  head/x11-fonts/comfortaa-ttf/Makefile
  head/x11-fonts/comic-neue/Makefile
  head/x11-fonts/consolamono-ttf/Makefile
  head/x11-fonts/courier-prime/Makefile
  head/x11-fonts/croscorefonts-fonts-ttf/Makefile
  head/x11-fonts/crosextrafonts-caladea-ttf/Makefile
  head/x11-fonts/crosextrafonts-carlito-ttf/Makefile
  head/x11-fonts/cyberbit-ttfonts/Makefile
  head/x11-fonts/cyr-rfx/Makefile
  head/x11-fonts/datalegreya/Makefile
  head/x11-fonts/dejavu/Makefile
  head/x11-fonts/dina/Makefile
  head/x11-fonts/doulos/Makefile
  head/x11-fonts/doulos-compact/Makefile
  head/x11-fonts/droid-fonts-ttf/Makefile
  head/x11-fonts/exo/Makefile
  head/x11-fonts/fantasque-sans-mono/Makefile
  head/x11-fonts/fanwood/Makefile
  head/x11-fonts/farsifonts/Makefile
  head/x11-fonts/fifteen/Makefile
  head/x11-fonts/fira/Makefile
  head/x11-fonts/firacode/Makefile
  head/x11-fonts/firago/Makefile
  head/x11-fonts/font-adobe-100dpi/Makefile
  head/x11-fonts/font-adobe-75dpi/Makefile
  head/x11-fonts/font-adobe-utopia-100dpi/Makefile
  head/x11-fonts/font-adobe-utopia-75dpi/Makefile
  head/x11-fonts/font-adobe-utopia-type1/Makefile
  head/x11-fonts/font-arabic-misc/Makefile
  head/x11-fonts/font-awesome/Makefile
  head/x11-fonts/font-bh-100dpi/Makefile
  head/x11-fonts/font-bh-75dpi/Makefile
  head/x11-fonts/font-bh-lucidatypewriter-100dpi/Makefile
  head/x11-fonts/font-bh-lucidatypewriter-75dpi/Makefile
  head/x11-fonts/font-bh-ttf/Makefile
  head/x11-fonts/font-bh-type1/Makefile
  head/x11-fonts/font-bitstream-100dpi/Makefile
  head/x11-fonts/font-bitstream-75dpi/Makefile
  head/x11-fonts/font-bitstream-speedo/Makefile
  head/x11-fonts/font-bitstream-type1/Makefile
  head/x11-fonts/font-cronyx-cyrillic/Makefile
  head/x11-fonts/font-cursor-misc/Makefile
  head/x11-fonts/font-daewoo-misc/Makefile
  head/x11-fonts/font-dec-misc/Makefile
  head/x11-fonts/font-gost/Makefile
  head/x11-fonts/font-ibm-type1/Makefile
  head/x11-fonts/font-isas-misc/Makefile
  head/x11-fonts/font-jis-misc/Makefile
  head/x11-fonts/font-micro-misc/Makefile
  head/x11-fonts/font-misc-cyrillic/Makefile
  head/x11-fonts/font-misc-ethiopic/Makefile
  head/x11-fonts/font-misc-meltho/Makefile
  head/x11-fonts/font-misc-misc/Makefile
  head/x11-fonts/font-mutt-misc/Makefile
  head/x11-fonts/font-schumacher-misc/Makefile
  head/x11-fonts/font-screen-cyrillic/Makefile
  head/x11-fonts/font-sony-misc/Makefile
  head/x11-fonts/font-sun-misc/Makefile
  head/x11-fonts/font-tex-gyre-bonum-math/Makefile
  head/x11-fonts/font-tex-gyre-pagella-math/Makefile
  head/x11-fonts/font-tex-gyre-schola-math/Makefile
  head/x11-fonts/font-tex-gyre-termes-math/Makefile
  head/x11-fonts/font-winitzki-cyrillic/Makefile
  head/x11-fonts/font-xfree86-type1/Makefile
  head/x11-fonts/fonts-indic/Makefile
  head/x11-fonts/freefont-ttf/Makefile
  head/x11-fonts/freefonts/Makefile
  head/x11-fonts/geminifonts/Makefile
  head/x11-fonts/gentium-basic/Makefile
  head/x11-fonts/gentium-plus/Makefile
  head/x11-fonts/gnu-unifont/Makefile
  head/x11-fonts/gofont-ttf/Makefile
  head/x11-fonts/gohufont/Makefile
  head/x11-fonts/google-fonts/Makefile
  head/x11-fonts/hack-font/Makefile
  head/x11-fonts/hanazono-fonts-ttf/Makefile
  head/x11-fonts/hermit/Makefile
  head/x11-fonts/inconsolata-lgc-ttf/Makefile
  head/x11-fonts/inconsolata-ttf/Makefile
  head/x11-fonts/indic-ttf/Makefile
  head/x11-fonts/intlfonts/Makefile
  head/x11-fonts/iosevka/Makefile
  head/x11-fonts/isabella/Makefile
  head/x11-fonts/jmk-x11-fonts/Makefile
  head/x11-fonts/junction/Makefile
  head/x11-fonts/junicode/Makefile
  head/x11-fonts/kaputa/Makefile
  head/x11-fonts/khmeros/Makefile
  head/x11-fonts/lato/Makefile
  head/x11-fonts/league-gothic/Makefile
  head/x11-fonts/league-spartan/Makefile
  head/x11-fonts/lfpfonts-fix/Makefile
  head/x11-fonts/lfpfonts-var/Makefile
  head/x11-fonts/liberation-fonts-ttf/Makefile
  head/x11-fonts/linden-hill/Makefile
  head/x11-fonts/linuxlibertine/Makefile
  head/x11-fonts/linuxlibertine-g/Makefile
  head/x11-fonts/lohit/Makefile
  head/x11-fonts/manu-gothica/Makefile
  head/x11-fonts/material-icons-ttf/Makefile
  head/x11-fonts/materialdesign-ttf/Makefile
  head/x11-fonts/meslo/Makefile
  head/x11-fonts/mgopen/Makefile
  head/x11-fonts/mkfontdir/
  head/x11-fonts/mkfontscale/Makefile
  head/x11-fonts/mkfontscale/distinfo
  head/x11-fonts/mondulkiri/Makefile
  head/x11-fonts/montecarlo_fonts/Makefile
  head/x11-fonts/montserrat/Makefile
  head/x11-fonts/moveable-type-fonts/Makefile
  head/x11-fonts/nerd-fonts/Makefile
  head/x11-fonts/noto-basic/Makefile
  head/x11-fonts/noto-extra/Makefile
  head/x11-fonts/noto-jp/Makefile
  head/x11-fonts/noto-kr/Makefile
  head/x11-fonts/noto-sc/Makefile
  head/x11-fonts/noto-tc/Makefile
  head/x11-fonts/nucleus/Makefile
  head/x11-fonts/ohsnap/Makefile
  head/x11-fonts/oldschool-pc-fonts/Makefile
  head/x11-fonts/p5-type1inst/Makefile
  head/x11-fonts/padauk/Makefile
  head/x11-fonts/paratype/Makefile
  head/x11-fonts/pingwi/Makefile
  head/x11-fonts/plex-ttf/Makefile
  head/x11-fonts/powerline-fonts/Makefile
  head/x11-fonts/prociono/Makefile
  head/x11-fonts/profont/Makefile
  head/x11-fonts/proggy_fonts/Makefile
  head/x11-fonts/proggy_fonts-ttf/Makefile
  head/x11-fonts/raleway/Makefile
  head/x11-fonts/roboto-fonts-ttf/Makefile
  head/x11-fonts/sgifonts/Makefile
  head/x11-fonts/sharefonts/Makefile
  head/x11-fonts/sourcecodepro-ttf/Makefile
  head/x11-fonts/sourcesanspro-ttf/Makefile
  head/x11-fonts/sourceserifpro-ttf/Makefile
  head/x11-fonts/spleen/Makefile
  head/x11-fonts/stix-fonts/Makefile
  head/x11-fonts/suxus/Makefile
  head/x11-fonts/symbola/Makefile
  head/x11-fonts/tamsyn/Makefile
  head/x11-fonts/tamzen/Makefile
  head/x11-fonts/terminus-font/Makefile
  head/x11-fonts/terminus-ttf/Makefile
  head/x11-fonts/tmu/Makefile
  head/x11-fonts/tv-fonts/Makefile
  head/x11-fonts/twemoji-color-font-ttf/Makefile
  head/x11-fonts/ubuntu-font/Makefile
  head/x11-fonts/urwfonts/Makefile
  head/x11-fonts/urwfonts-ttf/Makefile
  head/x11-fonts/uw-ttyp0/Makefile
  head/x11-fonts/vollkorn-ttf/Makefile
  head/x11-fonts/webfonts/Makefile
  head/x11-fonts/wqy/Makefile
  head/x11-toolkits/xview/Makefile
  head/x11-wm/libdockapp/Makefile
Comment 5 Niclas Zeising freebsd_committer 2019-03-11 21:27:33 UTC
This has landed.

Thanks for the help with the exp-run!